#ifndef FNT__STREAM_DRIVER_SOCKET_UTILS_H
#define FNT__STREAM_DRIVER_SOCKET_UTILS_H

/*** global variables defined in .c file *******************************/

/*** typedefs(not structures) and defined constants ********************/

#ifdef G_OS_WIN32
#	define fnt_stream_close_socket(x) closesocket(x)
#else
#	define fnt_stream_close_socket(x) close(x)
#endif

/*** enums *************************************************************/

/*** structures declarations (and typedefs of structures)***************/

typedef struct __fnt_stream_socketInfo_struct
{
    bool is_server;
    char *host;
    int port;
} __fnt_stream_socketInfo_t;

/*** declarations of public functions **********************************/

bool fnt_stream_socketPton (char *, struct sockaddr_storage *);

bool fnt_stream_socketSetPort (struct sockaddr_storage *, in_port_t);

socklen_t fnt_stream_socketAddrLen (struct sockaddr_storage *);

bool fnt_stream_parceSocketInfo (__fnt_stream_socketInfo_t *, const char *);

#endif
